$(function() {
    var $items = $(".module-item");
    
    function resizeMenuItems() {
        var baseWidth = $(".main").width(),
            h = 0,
            n = Math.min($items.length, Math.floor(baseWidth/150)),
            w = Math.floor(baseWidth/n);
        console.log(n,w);
        $items.css("width", w + "px");
        $items.each(function() {
            var $this = $(this);
            h = Math.max(h, $this.find("h3").outerHeight(true) + $this.find("p").outerHeight(true));
        });
        $items.css("height", h + "px");
    }
    
    $(window).resize(resizeMenuItems);
    resizeMenuItems();
});
